DAT objectName          byte "HeaderEncodersOnly131214a", 0
robotName               byte "Encoders Only", 0
  
CON
{{
  ******* Public Notes *******
  
}}
{
  ******* Private Notes *******

  HeaderVexTreads130130a modified DemoFourMotorsAndEncoders130130a
  130130a Move individual robot constants to a header file
  to make it easy to use the same code with multiple robots.
  130201a Set some unused pins to "-1".
  07a Motor #0 move robot in reverse with positive speed.
  Motor #1 move robot forward with positive speed.
  1208a Modify to match changes made when servo used.
  131214a Change name to "HeaderEncodersOnly131214a".
}   
 
  
  FIRST_ENCODER_0 = 0
  FIRST_ENCODER_1 = 2
  
  
  FORWARD0 = 1
  FORWARD1 = 1
 
 ' FULL_SPEED = 940 '28 '69       ' Measured with PROPORTIONAL_CONSTANT set to zero and
                        ' target speeds set to max allowed (usually 1000).
  '4331 transitions per revolution
  'Gears in Pololu motor: 10:25,10:30,12:28,10:40
  ' reduction = 25/10 * 30/10 * 28/12 * 40/10 = 5/2 * 3 * 7/3 * 4 = 5*7*2 = 70
  ' 70 * 64 = 4,480 transitions per revolution
  MAX_TRANSITIONS_PER_SEC = 10827 '282

  'MAX_TRANSITIONS_PER_SEC = 500 ' Dagu Rover 5 
  ' 1000 transitions per three rotations  1.5 rev per second

  TRANS_PER_REV_NUMERATOR = 4480 ' Pololu 70:1 gearmotors (listed as 67:1) 
  TRANS_PER_REV_DENOMINATOR = 1 ' In case transitions per rev isn't a whole number         
  'TRANS_PER_REV_NUMERATOR = 1000 ' Dagu Rover 5 
  'TRANS_PER_REV_DENOMINATOR = 3 ' Dagu Rover 5      

  DIAMETER_OF_WHEEL = 66 ' ActivityBot wheel in mm
 ' PSEUDO_RADIUS_OF_WHEEL = (DIAMETER_OF_WHEEL * PSEUDOREAL_MULTIPLIER) / 2                     
                     
  PSEUDOREAL_MULTIPLIER = 100 ' If the multiplier is too large values used in calculations
                              ' could exceed 32-bits.
 
  REFRESH_RATE = 50 

PUB GetObjectName

  result := @objectName

PUB GetRobotName

  result := @robotName

PUB GetEncoderPins

  result := @encoderPin
 
DAT

encoderPin    byte FIRST_ENCODER_0, FIRST_ENCODER_1
